Set up the certificate for the external (edge) URL
post
Authorizations
defguard_sessionstringRequired
Body
cert_pemstring · nullableOptional
key_pemstring · nullableOptional
ssl_typestring · enumRequiredPossible values:
SSL configuration type for the external (proxy) web server.
Responses
201
External URL certificate settings applied.
application/json
objectOptional
400
Invalid certificate settings.
application/json
401
Session is missing or invalid.
application/json
403
Requires admin privileges.
application/json
500
Unable to apply external URL certificate settings.
application/json
post/api/v1/proxy/cert/external_url_settings
POST /api/v1/proxy/cert/external_url_settings HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 50
{
"cert_pem": null,
"key_pem": null,
"ssl_type": "none"
}{
"cert_info": {
"common_name": "vpn.example.com",
"not_after": "2026-11-02T10:00:00",
"not_before": "2026-08-04T10:00:00",
"valid_for_days": 90
}
}Last updated
Was this helpful?